<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpPreviewArea: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpPickButton.html" title="GimpPickButton">
<link rel="next" href="GimpPreview.html" title="GimpPreview">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpPreviewArea.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpPreviewArea.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpPreviewArea.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpPreviewArea.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPickButton.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpPreview.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpPreviewArea"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpPreviewArea.top_of_page"></a>GimpPreviewArea</span></h2>
<p>GimpPreviewArea — A general purpose preview widget which caches
                    its pixel data.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-preview-area.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpPreviewArea.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-new" title="gimp_preview_area_new ()">gimp_preview_area_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-draw" title="gimp_preview_area_draw ()">gimp_preview_area_draw</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-fill" title="gimp_preview_area_fill ()">gimp_preview_area_fill</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-blend" title="gimp_preview_area_blend ()">gimp_preview_area_blend</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-mask" title="gimp_preview_area_mask ()">gimp_preview_area_mask</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-set-offsets" title="gimp_preview_area_set_offsets ()">gimp_preview_area_set_offsets</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-set-colormap" title="gimp_preview_area_set_colormap ()">gimp_preview_area_set_colormap</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-set-max-size" title="gimp_preview_area_set_max_size ()">gimp_preview_area_set_max_size</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-menu-popup" title="gimp_preview_area_menu_popup ()">gimp_preview_area_menu_popup</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpPreviewArea.html#gimp-preview-area-set-color-config" title="gimp_preview_area_set_color_config ()">gimp_preview_area_set_color_config</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../html/libgimpbase-gimpbaseenums.html#GimpCheckSize"><span class="type">GimpCheckSize</span></a></td>
<td class="property_name"><a class="link" href="GimpPreviewArea.html#GimpPreviewArea--check-size" title="The “check-size” property">check-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../html/libgimpbase-gimpbaseenums.html#GimpCheckType"><span class="type">GimpCheckType</span></a></td>
<td class="property_name"><a class="link" href="GimpPreviewArea.html#GimpPreviewArea--check-type" title="The “check-type” property">check-type</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpPreviewArea.html#GimpPreviewArea-struct" title="GimpPreviewArea">GimpPreviewArea</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkDrawingArea.html#GtkDrawingArea-struct">GtkDrawingArea</a>
                    <span class="lineart">╰──</span> GimpPreviewArea
</pre>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpPreviewArea implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.description"></a><h2>Description</h2>
<p>A general purpose preview widget which caches its pixel data.</p>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-preview-area-new"></a><h3>gimp_preview_area_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_preview_area_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-preview-area-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p>
<p>Since GIMP 2.2</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-draw"></a><h3>gimp_preview_area_draw ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_draw (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>,
                        <em class="parameter"><code><a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> type</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *buf</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride</code></em>);</pre>
<p>Draws <em class="parameter"><code>buf</code></em>
 on <em class="parameter"><code>area</code></em>
 and queues a redraw on the given rectangle.</p>
<p>Since GIMP 2.2</p>
<div class="refsect3">
<a name="gimp-preview-area-draw.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>x offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>y offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>buffer width</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>buffer height</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p>the <a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> of <em class="parameter"><code>buf</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>buf</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the preview pixel data.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride</p></td>
<td class="parameter_description"><p>rowstride of <em class="parameter"><code>buf</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-fill"></a><h3>gimp_preview_area_fill ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_fill (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> red</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> green</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> blue</code></em>);</pre>
<p>Fills the given rectangle of <em class="parameter"><code>area</code></em>
 in the given color and queues a
redraw.</p>
<p>Since GIMP 2.2</p>
<div class="refsect3">
<a name="gimp-preview-area-fill.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>x offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>y offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>width of the rectangle to fill</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>height of the rectangle to fill</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>red</p></td>
<td class="parameter_description"><p>red component of the fill color (0-255)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>green</p></td>
<td class="parameter_description"><p>green component of the fill color (0-255)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>blue</p></td>
<td class="parameter_description"><p>red component of the fill color (0-255)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-blend"></a><h3>gimp_preview_area_blend ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_blend (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>,
                         <em class="parameter"><code><a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> type</code></em>,
                         <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *buf1</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride1</code></em>,
                         <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *buf2</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride2</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> opacity</code></em>);</pre>
<p>Composites <em class="parameter"><code>buf1</code></em>
 on <em class="parameter"><code>buf2</code></em>
 with the given <em class="parameter"><code>opacity</code></em>
, draws the result
to <em class="parameter"><code>area</code></em>
 and queues a redraw on the given rectangle.</p>
<p>Since GIMP 2.2</p>
<div class="refsect3">
<a name="gimp-preview-area-blend.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>x offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>y offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>buffer width</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>buffer height</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p>the <a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> of <em class="parameter"><code>buf1</code></em>
and <em class="parameter"><code>buf2</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>buf1</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the pixel data for
the lower layer</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride1</p></td>
<td class="parameter_description"><p>rowstride of <em class="parameter"><code>buf1</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>buf2</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the pixel data for
the upper layer</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride2</p></td>
<td class="parameter_description"><p>rowstride of <em class="parameter"><code>buf2</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>opacity</p></td>
<td class="parameter_description"><p>The opacity of the first layer.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-mask"></a><h3>gimp_preview_area_mask ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_mask (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>,
                        <em class="parameter"><code><a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> type</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *buf1</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride1</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *buf2</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride2</code></em>,
                        <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *mask</code></em>,
                        <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> rowstride_mask</code></em>);</pre>
<p>Composites <em class="parameter"><code>buf1</code></em>
 on <em class="parameter"><code>buf2</code></em>
 with the given <em class="parameter"><code>mask</code></em>
, draws the result on
<em class="parameter"><code>area</code></em>
 and queues a redraw on the given rectangle.</p>
<p>Since GIMP 2.2</p>
<div class="refsect3">
<a name="gimp-preview-area-mask.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>x offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>y offset in preview</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>buffer width</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>buffer height</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>type</p></td>
<td class="parameter_description"><p>the <a href="../html/libgimpbase-gimpbaseenums.html#GimpImageType"><span class="type">GimpImageType</span></a> of <em class="parameter"><code>buf1</code></em>
and <em class="parameter"><code>buf2</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>buf1</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the pixel data for
the lower layer</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride1</p></td>
<td class="parameter_description"><p>rowstride of <em class="parameter"><code>buf1</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>buf2</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the pixel data for
the upper layer</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride2</p></td>
<td class="parameter_description"><p>rowstride of <em class="parameter"><code>buf2</code></em>
</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>mask</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer representing the mask of the second
layer.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rowstride_mask</p></td>
<td class="parameter_description"><p>rowstride for the mask.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-set-offsets"></a><h3>gimp_preview_area_set_offsets ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_set_offsets (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                               <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> x</code></em>,
                               <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> y</code></em>);</pre>
<p>Sets the offsets of the previewed area. This information is used
when drawing the checkerboard and to determine the dither offsets.</p>
<div class="refsect3">
<a name="gimp-preview-area-set-offsets.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>x</p></td>
<td class="parameter_description"><p>horizontal offset</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>y</p></td>
<td class="parameter_description"><p>vertical offset</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-set-colormap"></a><h3>gimp_preview_area_set_colormap ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_set_colormap (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                                <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> *colormap</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> num_colors</code></em>);</pre>
<p>Sets the colormap for the <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget. You need to
call this function before you use <a class="link" href="GimpPreviewArea.html#gimp-preview-area-draw" title="gimp_preview_area_draw ()"><code class="function">gimp_preview_area_draw()</code></a> with
an image type of <a href="../html/libgimpbase-gimpbaseenums.html#GIMP-INDEXED-IMAGE:CAPS"><code class="literal">GIMP_INDEXED_IMAGE</code></a> or <a href="../html/libgimpbase-gimpbaseenums.html#GIMP-INDEXEDA-IMAGE:CAPS"><code class="literal">GIMP_INDEXEDA_IMAGE</code></a>.</p>
<p>Since GIMP 2.2</p>
<div class="refsect3">
<a name="gimp-preview-area-set-colormap.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>colormap</p></td>
<td class="parameter_description"><p>a <a href="../glib/glib-Basic-Types.html#guchar"><span class="type">guchar</span></a> buffer that contains the colormap</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>num_colors</p></td>
<td class="parameter_description"><p>the number of colors in the colormap</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-set-max-size"></a><h3>gimp_preview_area_set_max_size ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_set_max_size (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> width</code></em>,
                                <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> height</code></em>);</pre>
<p>Usually a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> fills the size that it is
allocated. This function allows you to limit the preview area to a
maximum size. If a larger size is allocated for the widget, the
preview will draw itself centered into the allocated area.</p>
<div class="refsect3">
<a name="gimp-preview-area-set-max-size.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>width</p></td>
<td class="parameter_description"><p>the maximum width in pixels or -1 to unset the limit</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>height</p></td>
<td class="parameter_description"><p>the maximum height in pixels or -1 to unset the limit</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-menu-popup"></a><h3>gimp_preview_area_menu_popup ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_menu_popup (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                              <em class="parameter"><code><a href="../gdk2/gdk2-Event-Structures.html#GdkEventButton"><span class="type">GdkEventButton</span></a> *event</code></em>);</pre>
<p>Creates a popup menu that allows one to configure the size and type of
the checkerboard pattern that the <em class="parameter"><code>area</code></em>
 uses to visualize transparency.</p>
<div class="refsect3">
<a name="gimp-preview-area-menu-popup.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>event</p></td>
<td class="parameter_description"><p>the button event that causes the menu to popup or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-preview-area-set-color-config"></a><h3>gimp_preview_area_set_color_config ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_preview_area_set_color_config (<em class="parameter"><code><a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> *area</code></em>,
                                    <em class="parameter"><code><span class="type">GimpColorConfig</span> *config</code></em>);</pre>
<p>Sets the color management configuration to use with this preview area.</p>
<div class="refsect3">
<a name="gimp-preview-area-set-color-config.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>area</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpPreviewArea.html" title="GimpPreviewArea"><span class="type">GimpPreviewArea</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>config</p></td>
<td class="parameter_description"><p>a <span class="type">GimpColorConfig</span> object.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpPreviewArea-struct"></a><h3>GimpPreviewArea</h3>
<pre class="programlisting">typedef struct _GimpPreviewArea GimpPreviewArea;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpPreviewArea.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpPreviewArea--check-size"></a><h3>The <code class="literal">“check-size”</code> property</h3>
<pre class="programlisting">  “check-size”               <a href="../html/libgimpbase-gimpbaseenums.html#GimpCheckSize"><span class="type">GimpCheckSize</span></a></pre>
<p>The size of the checkerboard pattern indicating transparency.</p>
<p>Flags: Read / Write</p>
<p>Default value: GIMP_CHECK_SIZE_MEDIUM_CHECKS</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpPreviewArea--check-type"></a><h3>The <code class="literal">“check-type”</code> property</h3>
<pre class="programlisting">  “check-type”               <a href="../html/libgimpbase-gimpbaseenums.html#GimpCheckType"><span class="type">GimpCheckType</span></a></pre>
<p>The colors of the checkerboard pattern indicating transparency.</p>
<p>Flags: Read / Write</p>
<p>Default value: GIMP_CHECK_TYPE_GRAY_CHECKS</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>